Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1939820 - sway-1.6 is available
Summary: sway-1.6 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sway
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-17 06:29 UTC by Upstream Release Monitoring
Modified: 2021-04-27 00:30 UTC (History)
9 users (show)

Fixed In Version: sway-1.6-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-19 15:54:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
[patch] Update to 1.6 (#1939820) (deleted)
2021-04-07 21:33 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-03-17 06:29:17 UTC
Latest upstream release: 1.6-rc1
Current version/release in rawhide: 1.5.1-2.fc34
URL: https://github.com/swaywm/sway

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11497/

Comment 1 Upstream Release Monitoring 2021-03-17 06:29:54 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19#/gpgkey-0FDE7BE0E88F5E48.gpg to ./gpgkey-0FDE7BE0E88F5E48.gpg

Comment 2 Aleksei Bavshin 2021-03-18 16:35:26 UTC
Release ETA is in ~2 weeks. With this estimation I think we still have a chance to get the update into f34. The schedule is a bit tight and in the worst case we'll have to do that as a day 1 update (with appropriate approvals if necessary), but the benefits are outweighing the possible issues.

Porting status:

cage: https://github.com/Hjdskes/cage/pull/174
gamescope: will be updated by the wlroots release date
hikari: no idea, but the patch from FreeBSD ports is huge :(
labwc: git master already updated for wlroots 0.13 (https://github.com/johanmalm/labwc/pull/26)
phoc: https://source.puri.sm/Librem5/phoc/-/merge_requests/241 (applies to the packaged version with minor changes)
wayfire: already has all the necessary patches in git; need to deal with SIGSTKSZ fallout before updating

The rc1 builds are available at https://copr.fedorainfracloud.org/coprs/alebastr/sway-testing/

We may also have to drop the modular builds for this release: wlroots now requires wayland-server >= 1.19 and meson >= 0.56 and both of those are only available starting from f34.

Comment 3 Upstream Release Monitoring 2021-03-24 16:04:24 UTC
Latest upstream release: 1.6-rc2
Current version/release in rawhide: 1.5.1-3.fc35
URL: https://github.com/swaywm/sway

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11497/

Comment 4 Upstream Release Monitoring 2021-03-24 16:04:26 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19#/gpgkey-0FDE7BE0E88F5E48.gpg to ./gpgkey-0FDE7BE0E88F5E48.gpg

Comment 5 Upstream Release Monitoring 2021-04-01 02:58:25 UTC
Latest upstream release: 1.6-rc3
Current version/release in rawhide: 1.5.1-3.fc35
URL: https://github.com/swaywm/sway

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11497/

Comment 6 Upstream Release Monitoring 2021-04-01 02:58:28 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19#/gpgkey-0FDE7BE0E88F5E48.gpg to ./gpgkey-0FDE7BE0E88F5E48.gpg

Comment 7 Aleksei Bavshin 2021-04-07 21:29:26 UTC
sway 1.6 is released. I've just updated copr builds, feel free to test.

devel announcement: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/O7BL2RJKJTP6XDW2FTOXBFSY3TGX2GVI/

---

Copr build has an extra patch to allow building wlroots on f33 with wayland 1.18. I'll send a PR with that change after updating rawhide to 0.13.
We can't use that for module (meson >= 0.56 is still required), but we could keep it in dist-git to simplify backporting for anyone who wants to build sway in copr.

Comment 8 Upstream Release Monitoring 2021-04-07 21:33:12 UTC
Latest upstream release: 1.6
Current version/release in rawhide: 1.5.1-3.fc35
URL: https://github.com/swaywm/sway

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11497/

Comment 9 Upstream Release Monitoring 2021-04-07 21:33:16 UTC
Created attachment 1770033 [details]
[patch] Update to 1.6 (#1939820)

Comment 10 Upstream Release Monitoring 2021-04-07 21:37:58 UTC
the-new-hotness/release-monitoring.org's scratch build of sway-1.6-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=65435901

Comment 11 Aleksei Bavshin 2021-04-16 15:44:26 UTC
It's been a week and I didn't get any definite response or ETA on the pinephone issue[1]. At this point I'm fully expecting that wlroots devs will blame the sun4i drm driver and we'll have to wait a few kernel release cycles for a fix :(

I prepared a compat package for wlroots0.12[2] in my copr and will ask mobility sig to test if `phoc` built against the compat package works for them. Once I confirm that, I'm going to import the compat package, build it into the side-tag and merge the side-tag into rawhide.

Let me know if there are any concerns or objections regarding this plan or the plan to push updates into f34. Otherwise, I'm planning to set it in motion by Sunday evening UTC.


[1]: https://github.com/swaywm/wlroots/issues/2795
[2]: https://download.copr.fedorainfracloud.org/results/alebastr/sway-testing/fedora-rawhide-x86_64/02134978-wlroots0.12/wlroots0.12.spec


---

On an unrelated note, Till, Jan P., do you mind disabling scratch builds for wlroots and sway? I haven't seen a successful scratch build from upstream release monitoring since sway 1.0 and I feel that the current setting only adds more noise to our mailboxes. My access level does not allow me to change the option on src.fp.o, so I assume that it requires main admin.

Comment 12 Fedora Update System 2021-04-19 15:54:08 UTC
FEDORA-2021-1de7f5cf53 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-04-20 15:16:21 UTC
FEDORA-2021-0cad58d4f4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0cad58d4f4

Comment 14 Fedora Update System 2021-04-21 15:01:05 UTC
FEDORA-2021-0cad58d4f4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0cad58d4f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0cad58d4f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-04-27 00:30:00 UTC
FEDORA-2021-0cad58d4f4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.